<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
<ui:composition template="/master.xhtml">
    <ui:define name="content">
        <form method="POST" action="j_security_check">
            <label for="username">Username</label>
            <input id="username" type="text" name="j_username"/>
            <br/>
            <label for="password">Password</label>
            <input id="password" type="password" name="j_password"/>
            <br/>
            <input type="submit">Log in</input>
        </form>
    </ui:define>
</ui:composition>
</html>